com.hazelcast.jet.function

## Interface DistributedLongPredicate

- All Superinterfaces:
    LongPredicate, Serializable
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface DistributedLongPredicate
      extends LongPredicate, Serializable

  `Serializable` variant of `java.util.function.LongPredicate` which declares checked exception.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default DistributedLongPredicate` | `and(DistributedLongPredicate other)` `Serializable` variant of `java.util.function.LongPredicate#and(LongPredicate)`.
    `default DistributedLongPredicate` | `negate()` `Serializable` variant of `LongPredicate.negate()`.
    `default DistributedLongPredicate` | `or(DistributedLongPredicate other)` `Serializable` variant of `java.util.function.LongPredicate#or(LongPredicate)`.
    `default boolean` | `test(long value)`
    `boolean` | `testEx(long value)` Exception-declaring version of `LongPredicate.test(long)`.

    - ### Methods inherited from interface java.util.function.LongPredicate

      `and, or`

- - ### Method Detail

    - #### testEx

          boolean testEx(long value)
                  throws Exception

      Exception-declaring version of `LongPredicate.test(long)`.
      Throws:
        `Exception`

    - #### test

          default boolean test(long value)

      Specified by:
        `test` in interface `LongPredicate`

    - #### and

          default DistributedLongPredicate and(DistributedLongPredicate other)

      `Serializable` variant of `java.util.function.LongPredicate#and(LongPredicate)`.

    - #### negate

          default DistributedLongPredicate negate()

      `Serializable` variant of `LongPredicate.negate()`.
      Specified by:
        `negate` in interface `LongPredicate`

    - #### or

          default DistributedLongPredicate or(DistributedLongPredicate other)

      `Serializable` variant of `java.util.function.LongPredicate#or(LongPredicate)`.

Copyright © 2018. All rights reserved.